=== debian/changelog ===
xscopes-qt (0.0.20161116-0~rzr20161116) unstable; urgency=medium

  * WIP: snapshot package for xscopes-qt

 -- Philippe Coval <rzr@gna.org>  Wed, 16 Nov 2016 00:41:42 +0100

xscopes-qt (0.0.20161116-0~rzr0) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#xscopes-qt

 -- Philippe Coval <rzr@gna.org>  Wed, 16 Nov 2016 00:41:30 +0100

xscopes-qt (0.0.0-0) UNRELEASED; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#xscopes-qt

 -- Philippe Coval <rzr@gna.org>  Wed, 16 Nov 2016 00:41:30 +0100

xscopes-qt (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Tue, 01 Nov 2016 22:07:24 +0100
